daptup (0.12.7+really0.12.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (quilt). (Closes: #1007543)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sun, 24 Mar 2024 20:30:39 +0000

daptup (0.12.7+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 19:22:46 +0100

daptup (0.12.7) unstable; urgency=low

  * New option 'DAPTUP_HOOK_ENABLED'. (Closes: #733960)
  * More friendly error message on unknown command-line options.
  * Pre-set daptup environment variables now override those from
    the configuration file.
  * debian/README.Debian: removed as obsolete. (Closes: #745482)
  * debian/control:
    - bumped Standards-Version to 3.9.6, no changes needed.
    - removed dependency versions which are satisfied even in oldoldstable.
  * debian/rules: use override_* target instead of dh before/after.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 25 Jul 2015 13:16:43 +0300

daptup (0.12.6) unstable; urgency=low

  * Pass '--version-sort' to sort(1) when generating difference lists.
    This reduces number of cases where "before" line ("<") appears after the 
    "after" line (">") in the output.
  * Added a dependency on coreutils (>= 7.0) to make sure that '--version-sort'
    works.
  * po/de.po: declared plural forms support, patch by Christian Perrier.
    (Closes: #695999)
  * Libcupt1 (Perl-based one) backend: removed as obsolete.
  * Daptup is a pure plugin now, i.e. it doesn't attempt to run any
    '$packagemanager update'-commands inside. Specifying a subcommand is now
    mandatory.
  * Got rid of '[done]' message parts.
  * Fixed a crash when '--last' is run without root privileges and the option
    DAPTUP_CHECK_FOR_OUTDATED_PACKAGES is enabled.
  * daptup.8: fixed grammar of 'occurred' word, patch by A. Costa.
    (Closes: #698476)
  * debian/control:
    - Bumped Standards-Version to 3.9.5, no changes needed.
    - Updated the long description to reflect the "pure pluginness".

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 03 Nov 2013 15:16:51 +0200

daptup (0.12.5.1) unstable; urgency=medium

  * Strip colons and everything after it in the output of 'dpkg -l'. Newer
    versions of dpkg started outputting architecture suffixes even on
    non-multiarch-enabled systems which led to incomplete 'updates' lists.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 25 Aug 2012 13:20:14 +0300

daptup (0.12.5) unstable; urgency=low

  * Apt and Cupt back-end: don't pass long strings to 'echo' commands as well.
    (Closes: #650517)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 02 Dec 2011 18:49:17 +0200

daptup (0.12.4) unstable; urgency=low

  * Apt and Cupt back-ends: don't pass too long list of arguments to
    the shell. (Closes: #650517)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 01 Dec 2011 21:13:29 +0200

daptup (0.12.3) unstable; urgency=low

  * Don't error out at building old list of packages when a package manager
    throw errors but a result is not empty. (Closes: #637738, #649244)
  * Aptitude back-end: searching for watched packages: fixed suppressing the
    standard error stream.
  * Always prefix 'apt-cache policy' and 'cupt policy' calls with LC_MESSAGES.
  * Apt and Cupt back-ends: fixed suppressing the standard error stream at
    building lists of packages when showing short descriptions is turned off.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 27 Nov 2011 16:45:42 +0200

daptup (0.12.2) unstable; urgency=low

  * The action '--last' does not require root privileges anymore.
  * Support the field name 'Preferred' in 'cupt policy' of upcoming Cupt 2.3.
  * Wording fixes in daptup.conf.
  * Cupt back-end: ignore release file expiration when possible.
  * Try to ignore warnings from package managers which are sent to the standard
    error stream.
  * debian/control:
    - Bumped Standards-Version to 3.9.2, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 12 Nov 2011 20:49:53 +0200

daptup (0.12.1) unstable; urgency=low

  * Fixed a typo in Aptitude back-end. (Closes: #627553)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 22 May 2011 11:35:20 +0300

daptup (0.12.0) unstable; urgency=low

  * Apt back-end now uses 'apt-cache policy' instead of 'apt-show-versions'.
  * Daptup is now able to use 'cupt' binary as a new back-end.
  * debian/control:
    - Removed 'apt-show-versions' from Depends.
    - Added 'cupt' to existing 'apt' and 'libcupt-perl' Depends alternatives.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 07 May 2011 16:08:15 +0300

daptup (0.11.1) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 26 Feb 2011 10:05:22 +0200

daptup (0.11.0) experimental; urgency=low

  * Introduced new option DAPTUP_NEW_INCLUDE_DESCRIPTION, enabled by default.
    (Matches previous behavior). Thanks to Klaus Ethgen for the report.
    (Closes: #595571)
  * Fixed crash when getting package list in Cupt back-end when some short
    description is not available.
  * debian/control:
    - Bumped Standards-Version to 3.9.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 10 Nov 2010 17:41:02 +0200

daptup (0.10.0) unstable; urgency=low

  * Daptup is now able to use Cupt Perl library if present instead of calling
    APT-related utilities.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 20 Dec 2009 12:53:26 +0200

daptup (0.9.2) unstable; urgency=low

  * Fixed getting watched packages when aptitude is not installed since 0.9.0.
  * Fixed apt hook so that it keeps working with a uninstalled
    (but not purged) daptup. Patch by Michael Vogt.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 03 Nov 2009 12:42:43 +0200

daptup (0.9.1.1) unstable; urgency=low

  * Define the environment variable 'DAPTUP_EXTRA_APTITUDE_ARGUMENTS' before
    it can be used. Thanks to Edward J. Shornock <ed.shornock@gmail.com>.
    (Closes: #551279)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 17 Oct 2009 18:08:17 +0300

daptup (0.9.1) unstable; urgency=low

  * Don't crash if environment variable 'DAPTUP_EXTRA_APTITUDE_ARGUMENTS' is
    not defined. Thanks to Edward J. Shornock <ed.shornock@gmail.com>.
    (Closes: #551279)
  * debian/control:
    - Added 'Vcs-*' headers.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 17 Oct 2009 00:21:59 +0300

daptup (0.9.0) unstable; urgency=low

  * Converted the package to Debian-native.
  * Rewritten the program in Perl.
  * Consequently fixed color output in non-X terminals. (Closes: #536282)
  * debian/watch:
    - Removed.
  * debian/control:
    - Updated my mail address.
    - Bumped Standards-Version to 3.8.3.
    - Dropped 'gettext-base' dependency, substituted it with
      'liblocale-gettext-perl' one.
  * debian/prerm:
    - Added the debhelper token.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 13 Oct 2009 13:39:21 +0300

daptup (0.8.2-2) unstable; urgency=low

  * Upload as requested by ftpmaster to test a DM code change.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 03 Jan 2009 00:20:37 +0200

daptup (0.8.2-1) unstable; urgency=low

  * New upstream release:
    - Added Slovak translation by Ivan Masár.
    - Fixed generating POT file (getpot).
  * debian/copyright:
    - Updated list of translators.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 06 Dec 2008 13:10:44 +0200

daptup (0.8.1-1) unstable; urgency=low

  * New upstream release:
    - Added French translation by Steve Petruzzello. (Closes: #503376)
    - Allowed end-of-line's in translations.
    - Typo fixes.
    - Translation updates. (Closes: #503587, #503574)
  * debian/copyright:
    - Updated list of translators.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 08 Nov 2008 10:31:46 +0200

daptup (0.8.0-1) unstable; urgency=low

  * New upstream release:
    - Added Swedish translation by Martin Bagge. (Closes: #503356)
    - Updated Portuguese translation. (Closes: #502145, #502906)
    - Updated German translation. (Closes: #502893)
  * debian/control:
    - Added versioned dependency on apt (>= 0.7.10) for using apt hooks.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 25 Oct 2008 14:50:02 +0300

daptup (0.8.0~svn160-1) experimental; urgency=low

  * New upstream development snapshot:
    - Added new '--last' command line option, which shows changes from the last
      update.
  * debian/rules:
    - Changed 'mkdir -p' to 'install -d -m 0755' to avoid possible
      umask-depended bugs. Thanks to Dmitry E. Oboukhov.
  * debian/NEWS:
    - Fixed indents to get rid of lintian warnings.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Wed, 15 Oct 2008 11:02:42 +0300

daptup (0.8.0~svn140-1) experimental; urgency=low

  * New upstream development snapshot:
    - Daptup can now work without aptitude.
    - Divided daptup into 'pre' and 'post' actions and added '--pre' and
      '--post' command line options. This allows using apt hooks.
    - Added Portuguese (Brazilian) translation by Guilherme Rocha and
      Felipe Augusto van de Wiel.
  * debian/control:
    - Moved 'aptitude' from Depends to Suggests.
    - Updated long description.
  * debian/daptup.install:
    - Added apt hook.
  * debian/dirs:
    - Added '/etc/apt/apt.conf.d' (for hook).
  * debian/README.Debian:
    - Added with comments about "aptitude & apt update hooks" problem.
  * debian/copyright:
    - Added Portugal (Brazilian) translators.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 12 Oct 2008 20:33:59 +0300

daptup (0.7.2+svn119-2) unstable; urgency=low

  * debian/copyright:
    - Added translators.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 04 Oct 2008 23:28:39 +0300

daptup (0.7.2+svn119-1) unstable; urgency=low

  * New upstream release:
    - Added Danish translation by Frank Damgaard. (Closes: #500404)
    - Added Dutch translation by Paul Gevers. (Closes: #500510)
  * debian/daptup.prerm:
    - Added 'set -e' to abort execution if something failed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 04 Oct 2008 21:49:34 +0300

daptup (0.7.1-1) unstable; urgency=low

  * New upstream release:
    - Remove useless points in one of PO strings. (Closes: #499661)
    - Added Ukrainian translation.
    - Added Arabic translation by Mohamed Magdy.
    - Added Czech translation by Miroslav Kure. (Closes: #499603)
    - Added German translation by Helge Kreutzmann. (Closes: #499659)
  * Applied upstream fix for encoding of Ukrainian translation.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 26 Sep 2008 22:28:55 +0300

daptup (0.7.0-1) unstable; urgency=low

  * New upstream release:
    - Implemented translation support (gettext).
    - Some messages changed to more descriptive ones.
    - Added Russian translation.
  * debian/control:
    - Added dependency on 'gettext-base' in order to support translations.
    - Added build-dependency on 'gettext' in order to generate binary
      translation files.
    - Moved build-depencies to 'Build-Depends-Indep' field as we have only
      'binary-indep' target.
  * debian/rules:
    - Now 'install' target builds translations.
    - Now explicit 'binary' target builds only 'binary-indep' target.
  * debian/daptup.install:
    - Added translations files.
  * debian/compat:
    - Bumped to 7 to enable dh_install's fallback to using 'debian/tmp'.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 06 Sep 2008 12:42:59 +0300

daptup (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 31 Aug 2008 11:25:52 +0300

daptup (0.6.0-2) unstable; urgency=low

  * debian/control:
    - Added 'Homepage' field.
  * debian/copyright:
    - Added download page.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 16 Aug 2008 16:56:42 +0300

daptup (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updated long description according to new features.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 16 Aug 2008 01:09:30 +0300

daptup (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Added debian/daptup.prerm to delete the content of /var/spool/daptup.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 09 Aug 2008 14:12:52 +0300

daptup (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 09 Aug 2008 00:34:24 +0300

daptup (0.4.0-3) unstable; urgency=low

  * debian/install:
    - Added, to simplify debian/rules.
  * debian/rules:
    - Rewrited using debhelper v7.
  * debian/copyright:
    - Added full GPLv3 clause.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 08 Aug 2008 20:48:57 +0300

daptup (0.4.0-2) unstable; urgency=low

  * debian/control:
    - Changed short description to more correct one. Thanks to Ben Finney.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 04 Aug 2008 10:32:25 +0300

daptup (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updated long description according to new features.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 03 Aug 2008 00:54:50 +0300

daptup (0.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    - Removed unneeded 'configure-stamp' dependency.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 23 Jun 2008 19:44:51 +0300

daptup (0.3.0-1) unstable; urgency=low

  * New upstream release.
    + Now manpage is part of upstream.
    + Now output is colored.
  * debian/rules:
    - Removed unnecessary 'configure*' rules.
  * debian/watch:
    - Added.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 20 Jun 2008 13:13:08 +0300

daptup (0.2.1-2) unstable; urgency=low

  * Removed versioned dependency on aptitude, as now modern aptitude is not
    needed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Thu, 19 Jun 2008 00:52:19 +0300

daptup (0.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump 'Standards-Version' to 3.8.0. No changes needed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 16 Jun 2008 01:26:08 +0300

daptup (0.2-2) unstable; urgency=low

  * Initial release. (Closes: #482913)

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 26 May 2008 00:10:20 +0300
